KeyErrorException Class Reference

Class to allow us to throw a `KeyError` from C++ and have it make it back to Python. More...

`#include <Exceptions.h>`

Inheritance diagram for KeyErrorException:

## Public Member Functions

| KeyErrorException (std::string key)
std::string | key () const
| ~KeyErrorException () throw ()

## Detailed Description

Class to allow us to throw a `KeyError` from C++ and have it make it back to Python.

Definition at line 49 of file Exceptions.h.

## Constructor & Destructor Documentation

## KeyErrorException()

KeyErrorException::KeyErrorException | ( | std::string | key | ) |

inline

Definition at line 51 of file Exceptions.h.

## ~KeyErrorException()

KeyErrorException::~KeyErrorException | ( |  | ) |
throw | ( |
| ) |  |

inline

Definition at line 54 of file Exceptions.h.

## Member Function Documentation

## key()

std::string KeyErrorException::key | ( |  | ) | const

inline

Definition at line 53 of file Exceptions.h.

The documentation for this class was generated from the following file:

- Exceptions.h